Path

ez components / documentation / api reference / 2007.2rc1 / webdav


eZ Components 2007.2rc1

Webdav: ezcWebdavDisplayInformation

[ Tutorial ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavDisplayInformation

Display information base class. [source]
Instances of classes extending this base class are used inside ezcWebdavTransport to encapsulate response information to be displayed.

Descendents

Child Class Description
ezcWebdavXmlDisplayInformation Display information.
ezcWebdavStringDisplayInformation Display information with string body.
ezcWebdavEmptyDisplayInformation Display information with no body.

Member Variables

public DOMDocument|sring|null $body
Representation of the response body.
public ezcWebdavResponse $response
Response object to extract headers from.

Method Summary

public void __construct( $response, $body )
Creates a new display information.

Methods

__construct

void __construct( ezcWebdavResponse $response, DOMDocument|string|null $body )
Creates a new display information.
By default an instance of this class carries a ezcWebdavResponse $repsonse object, which holds header information, and a $body. The content of $body depends on the type of display information. Extending classes may possibly not carry a body at all.

Parameters

Name Type Description
$response ezcWebdavResponse  
$body DOMDocument|string|null  

Redefined in descendants as

Method Description
ezcWebdavXmlDisplayInformation::__construct() Creates a new struct.
ezcWebdavStringDisplayInformation::__construct() Creates a new display information object.
ezcWebdavEmptyDisplayInformation::__construct() Creates a new struct.

Last updated: Wed, 05 Dec 2007